<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
    <xsl:output method="xml"/>
	
	<xsl:template match="/hds">
		<acl>
			<xsl:apply-templates />
		</acl>
    </xsl:template>
    
    <xsl:template match="*">
    	<xsl:if test="starts-with(name(), 'pwd') ">
    		<xsl:variable name="name" select="substring-after(name(), 'pwd-')"/>
    		<xsl:if test="not ( $name='newname' and .='' )">
    			<xsl:variable name="deletename" select="concat('delete-',$name)"/>
    			<xsl:variable name="delete" select="/hds/*[name() = $deletename]"/>
    			<xsl:if test="not ( $delete )">
		    		<user>
		    			<xsl:choose>
		    				<xsl:when test="$name='newname'">
		    					<name><xsl:value-of select="/hds/newname"/></name>
		    				</xsl:when>
		    				<xsl:otherwise>
		    					<name><xsl:value-of select="$name"/></name>
		    				</xsl:otherwise>
		    			</xsl:choose>
		    			<pwd><xsl:value-of select="."/></pwd>
		    		</user>
	    		</xsl:if>
	    	</xsl:if>
    	</xsl:if>
    </xsl:template>

</xsl:stylesheet>
